<!--#include file="../include/Conn.jsp"-->
<!--#include file="../include/Char.jsp"-->
<!--#include file="../include/function.jsp"-->
<!--#include file="../Include/const.jsp" -->
<!--#include file="islogin.jsp"-->
<%
	muserid=request.Cookies("aspxnet")("CurUserID")
	musername=request.Cookies("aspxnet")("CurUserName")
	
	  If Request.ServerVariables("REQUEST_METHOD")="POST" then 
     
	  m_Delete=request.form("hidDelete")
	'删除	
    if request.form("box").count < 1 then
      response.write "<script>alert('对不起,请选择分类信息！');history.back();</Script>"
      else
	  
	if m_Delete = "删除" then
	'循环删除
     for each m_LinkID in Request.form("box")
      SET rs_del=server.createobject("adodb.recordset")
	  SQL="SELECT * FROM  info_ad where f_username='"&musername&"' and F_ID ="&m_LinkID
      Rs_del.Open SQL,conn,3,3
'
	  rs_del.delete
	  rs_del.update
	  rs_del.close
	  set rs_del=nothing	  
   next
    response.redirect "manage_info.jsp"
   end if
  end if
end if
%>
<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3c.org/TR/1999/REC-html401-19991224/loose.dtd">
<HTML 
xmlns="http://www.w3.org/1999/xhtml"><HEAD><TITLE>信息管理-分类信息-<%=site_info(0)%></TITLE>
<META http-equiv=Content-Type content="text/html; charset=gb2312">
<META 
content=运城生活网,运城分类信息网,分类广告,分类信息,二手市场,租赁,买卖,生活便利,教育培训,求职招聘,房产物业,汽车车辆,综合服务 name=Keywords><LINK media=all 
href="css/style.css" type=text/css 
rel=stylesheet>
<SCRIPT language=JavaScript>
function check(form)
{
if (form.username.value == "")
   {
   alert("请输入用户名！")
   form.username.focus()
   }
else if (form.password.value == "")
   {
   alert("请输入密码！")
   form.password.focus()
   }
else
   return true
return false
}
function CheckAll()
{     
  for (var k=0;k<document.form2.elements.length;k++)
    {
      var e = document.form2.elements[k];
      if (e.name != 'allbox')
	e.checked = document.form2.allbox.checked;
    }
}
function PerDelete(){
var tmptotal = 0;
  for(var i=0;i<document.form2.elements.length;i++)
  {
    var e=document.form2.elements[i];
    if(e.name=='box') 
    {
      if(e.checked==true){tmptotal++;
    }
  }
}
if( tmptotal > 0 ) {
if((confirm("确定要永久删除这 "+tmptotal+" 条信息吗?"))==true) {
document.form2.hidDelete.value="删除";
document.form2.submit();
}
} else {
alert( "你还没有选择任何分类信息！" );
}
}
</SCRIPT>
<META content="MSHTML 6.00.2800.1555" name=GENERATOR>
</HEAD>
<BODY><!-- 头  -->
<DIV id=topBar>
<DIV id=TBl>&nbsp;<A class=b href="../" target=_blank>运城生活网 - 
运城人的网上生活</A></DIV>
<DIV id=TBr><A 
href="../">首页</A> | <A href="../so/" 
target=_blank>本地搜</A> | <A href="../shop/">网上开店</A> | <A 
href="../info/" target=_blank>分类信息</A> | <A 
href="../club/photo_default.jsp" target=_blank>相册</A> | <A 
href="../club/qq_index.jsp" target=_blank>小圈子</A> | <A 
href="../blog/" target=_blank>博客</A> | <A 
href="../bbs/" target=_blank>社区</A>&nbsp;</DIV></DIV>
<DIV id=logoBar><A href="../index.jsp"><IMG id=logo 
src="img/logo.gif" border=0 name=logo></A> 
<DIV id=area>分类信息</DIV>
<DIV id=searchBar>
<FORM id=searchForm name=searchForm action=adinfos.jsp method=post><LABEL 
for=textfield>关键字:</LABEL> <INPUT id=KeyWord size=30 name=KeyWord> 
<SELECT 
                  id=select6 name=Classid  dataType="Require">
                            <OPTION value="">所有类别</OPTION>
							 <% 
	 classsql="select * from info_adclass order by f_id desc"
	  'classsql="select f_id,f_value from mall_shopcategory order by f_id desc"
	  Set rsclass=Conn.Execute(classSql)	  
	  do while not rsclass.eof 	  
	  %>      
    <OPTION value=<%=rsclass("f_id")%>><%=rsclass("f_value")%></OPTION>
	<%
	rsclass.movenext
	loop
	rsclass.close
	set rsclass=nothing
	%>             
      </SELECT> <INPUT id=searchSubmit type=submit value="搜 索" name=searchSubmit> 
</FORM></DIV></DIV>
<DIV id=mainBar>
<UL id=mainmenu>
  <LI><A href="index.jsp">&nbsp;&nbsp;首页&nbsp;&nbsp;</A> 
  <LI><A href="write_info.jsp">发布信息</A> 
  <LI><A href="manage_info.jsp">管理信息</A> 
  <LI><A href="help.html">&nbsp;&nbsp;帮助&nbsp;&nbsp;</A></LI>
</UL>
<DIV id=appendMenu><%if Request.Cookies("aspxnet")("CurUserName") = "" then%><A href="../club/login.jsp">登录</A><%else%> 

您已登陆<%end if%>- <A 
href="../club/Logout.jsp">退出</A> - <A 
href="../bbs/user/UserJoin.jsp" target="_blank">注册</A></DIV>
<DIV class=clear></DIV></DIV><!-- 头  /-->
<DIV id=main>
<DIV id=manageL>
<DIV id=manageNav>
<UL>
  <LI class=b>管理我的信息 
  <LI class=""><A href="../Club/logout.jsp">退出管理</A> 
  </LI></UL></DIV></DIV>
<DIV id=manageR>
<DIV class=pagetitle2>管理我的广告&nbsp;&nbsp;<A class=colorF60 
href="write_info.jsp">发布广告</A></DIV>
  <%
					dim PerPage
									
					   if isnumeric(muserid)=false or muserid="" then
                       Call Msgbox("对不起，用户ID号错误！",1)
                       Response.end
                       end if
					set rs_c=server.createobject("adodb.recordset")
					sql_c="select * from info_ad where f_username='"&musername&"' and f_userid="&muserid
					sql_c=sql_c&" order by f_regtime desc"
					rs_c.open sql_c,conn,1,1
					'flag="尚未处理"
                    PerPage=9
				
                   '假如没有数据时
                 ' If rs_c.eof and rs_c.bof then
                  ' response.write "<p align='center'><font color='#ff0000'>还没任何新闻</font></p>"
                 ' response.end
                 ' End if
					'取得页数,并判断用户输入的是否数字类型的数据，如不是将以第一页显示
                    text="0123456789"
                    Rs_c.PageSize=PerPage
					
                    for i=1 to len(request("page"))
                    checkpage=instr(1,text,mid(request("page"),i,1))
                    if checkpage=0 then
                    exit for
                    end if
                    next

                  If checkpage<>0 then
                  If NOT IsEmpty(request("page")) Then
                  CurrentPage=Cint(request("page"))
                  If CurrentPage < 1 Then CurrentPage = 1
                  If CurrentPage > Rs_c.PageCount Then CurrentPage = Rs_c.PageCount
                  Else
                  CurrentPage= 1
                  End If
                 If not Rs_c.eof Then Rs_c.AbsolutePage = CurrentPage end if
                 Else
                 CurrentPage=1
                 End if					
				%>
<TABLE class=collapse borderColor=#dddddd cellSpacing=0 cellPadding=2 
width="100%" border=1>   <form name="form2" method="post" action="">
  <TBODY>
  <TR id=ADlist_title>
    <TD align=middle width="7%" bgColor=#e7ffcc height=30></TD>
    <TD align=middle width="39%" bgColor=#e7ffcc>标题</TD>
    <TD align=middle width="23%" bgColor=#e7ffcc>提交日期</TD>
    <TD align=middle width="15%" bgColor=#e7ffcc>到期日期</TD>
    <TD align=middle width="16%" bgColor=#e7ffcc>操作</TD></TR>                              <%
if not rs_c.eof then
i=1
do while not rs_c.eof
%>
  <TR>
    <TD align=middle><input name="box" type="checkbox" id="box" value="<%=rs_c("F_ID")%>" ></TD>
    <TD>&nbsp;<a title="<%=rs_c("f_title")%>"
                        href="ShowInfo.jsp?ID=<%=rs_c("f_id")%>" class=manageT target=_blank><%=GetWord(rs_c("f_title"),20,"...")%></a><BR>&nbsp;<SPAN class=b>分类：</SPAN><%
	  classsql="select f_value from info_adclass where f_id="&rs_c("F_adclassid")
	  Set rsclass=Conn.Execute(classSql)
	  if not rsclass.eof then
	  %> <%=rsclass("f_value")%> <%
	  end if
	  rsclass.close
	  set rsclass=nothing
	  %>
					  </TD>
    <TD><%=datevalue(rs_c("f_regtime"))%></TD>
    <TD align=middle><%=rs_c("f_update")%></TD>
    <TD align=middle>&nbsp;<a href="edit_info.jsp?infoid=<%=rs_c("f_id")%>">修改</a></TD></TR>
	                              <%
if i >= Perpage then exit do
i=i+1
rs_c.movenext
loop
end if
%>
	<TR align="center"> 
                                <TD height=25 colspan="6" 
                      bgColor=#ffffff class=left12 style="BORDER-BOTTOM: #eee 1px solid"><input type="checkbox" name="allbox" value="Check All" onClick="CheckAll();">
                                  选中所有&nbsp;&nbsp;&nbsp;&nbsp; <input type="hidden" name="hidDelete"> 
                                  <input onClick="javascript:PerDelete();" type="button" name="Submit" value="删除选中信息"></TD>
                              </TR>
  <TR>
    <TD colSpan=5 height=24>&nbsp;共<SPAN 
                              id=ctl00_centerContent_shumu 
                              style="COLOR: red"><%=Cstr(rs_c.RecordCount)%></SPAN>个 共<SPAN 
                              id=ctl00_centerContent_lblRecordCount 
                              style="COLOR: red"><%=Cstr(rs_c.pagecount)%></SPAN>页&nbsp; 当前第<SPAN 
                              id=ctl00_centerContent_lblCurrentPage 
                              style="COLOR: red"><%=CurrentPage%></SPAN>页 
                                  <% If currentpage > 1 Then  %> &nbsp;<a href='?classid=<%=mclassID%>&shopid=<%=m_shopid%>&page=<%=cstr(1)%>'><SPAN style="FONT-SIZE: 15px; COLOR: #000000; FONT-FAMILY: webdings">9</SPAN></a> 
                                  &nbsp;<a href='?classid=<%=mclassID%>&shopid=<%=m_shopid%>&page=<%=Cstr(currentpage-1)%>'><SPAN style="FONT-SIZE: 15px; COLOR: #000000; FONT-FAMILY: webdings">7</SPAN></a> 
                                  &nbsp; <% Else  %> &nbsp;<SPAN style="FONT-SIZE: 15px; COLOR: #000000; FONT-FAMILY: webdings">9</SPAN> 
                                  &nbsp;<SPAN style="FONT-SIZE: 15px; COLOR: #000000; FONT-FAMILY: webdings">7</SPAN> 
                                  <% end if %> <%
			  if rs_c.pagecount>4 then
			  n_star=currentpage
			  n_end=currentpage+3
			  else
			  n_star=1
			  n_end=rs_c.pagecount			  
			  end if
			  %> <% FOR n=n_star to n_end %> <% if n>rs_c.pagecount then  exit for  end if%> &nbsp;<a href='?classid=<%=mclassID%>&page=<%=n%>'><FONT color=#ff0000><B><%=n%></B></FONT></a> <%
					  next
					  %> <% If currentpage < Rs_c.PageCount Then %> &nbsp;<a href='?classid=<%=mclassID%>&page=<%=Cstr(currentPage+1)%>'><SPAN  style="FONT-SIZE: 15px; COLOR: #000000; FONT-FAMILY: webdings">8</SPAN></a> 
                                  &nbsp;<a href='?classid=<%=mclassID%>&page=<%=Cstr(Rs_c.PageCount)%>'><SPAN  style="FONT-SIZE: 15px; COLOR: #000000; FONT-FAMILY: webdings">:</SPAN></a> 
                                  <% else %> &nbsp;<SPAN  style="FONT-SIZE: 15px; COLOR: #000000; FONT-FAMILY: webdings">8</SPAN> 
                                  &nbsp;<SPAN  style="FONT-SIZE: 15px; COLOR: #000000; FONT-FAMILY: webdings">:</SPAN> 
                                  <% end if %> </TD></TR></TBODY> </form></TABLE></DIV></DIV><!-- 尾  -->
<DIV id=bottom>　 <A class=list href="/about/?Para=Intro" target=_blank>关于我们</A> ┊ <A class=list href="/about/?Para=Contact" target=_blank>联系方式</A> ┊ <A class=list href="/about/?Para=Job" target=_blank>招贤纳士</A> ┊ <A class=list href="/about/?Para=AdService" target=_blank>广告服务</A> ┊ <A class=list href="/about/?Para=Cooperate" target=_blank>合作伙伴</A> ┊ <A class=list href="/so/Suggestion.jsp" target=_blank> 留言/投诉</A> <BR><%=Site_info(5)%> </DIV><!-- 尾  /--></BODY></HTML>
